## org.apache.tools.ant.taskdefs
Class Echo

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Echo

public class Echo
extends Task

Writes a message to the Ant logging facilities.

Since:
  Ant 1.1
Author:
  costin@dnt.ro

Nested Class Summary
`static class` `Echo.EchoLevel`

Field Summary
`protected boolean` `append`
`protected java.io.File` `file`
`protected int` `logLevel`
`protected java.lang.String` `message`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Echo()`

Method Summary
`void` `addText(java.lang.String msg)` Set a multiline message.
`void` `execute()` Does the work.
`void` `setAppend(boolean append)` If true, append to existing file.
`void` `setFile(java.io.File file)` File to write to.
`void` `setLevel(Echo.EchoLevel echoLevel)` Set the logging level.
`void` `setMessage(java.lang.String msg)` Message to write.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

### file

    protected java.io.File file

### append

    protected boolean append

### logLevel

    protected int logLevel

Constructor Detail

### Echo

    public Echo()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Does the work.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setMessage

    public void setMessage(java.lang.String msg)

  Message to write.

  Parameters:
    `msg` - Sets the value for the message variable.

### setFile

    public void setFile(java.io.File file)

  File to write to.

### setAppend

    public void setAppend(boolean append)

  If true, append to existing file.

### addText

    public void addText(java.lang.String msg)

  Set a multiline message.

### setLevel

    public void setLevel(Echo.EchoLevel echoLevel)

  Set the logging level. Level should be one of
  - error
  - warning
  - info
  - verbose
  - debug

  The default is "warning" to ensure that messages are displayed by default when using the -quiet command line option.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.